org.apache.poi.ss.formula.ptg

## Class NameXPtg

- java.lang.Object
- - org.apache.poi.ss.formula.ptg.Ptg
  - - org.apache.poi.ss.formula.ptg.OperandPtg
    - - org.apache.poi.ss.formula.ptg.NameXPtg

- All Implemented Interfaces:
    Duplicatable, WorkbookDependentFormula

      public final class NameXPtg
      extends OperandPtg
      implements WorkbookDependentFormula

  A Name, be that a Named Range or a Function / User Defined Function, addressed in the HSSF External Sheet style.

  This is HSSF only, as it matches the HSSF file format way of referring to the sheet by an extern index. The XSSF equivalent is `NameXPxg`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `sid`

    - ### Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameXPtg(int sheetRefIndex, int nameIndex)`
    `NameXPtg(LittleEndianInput in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NameXPtg` | `copy()`
    `byte` | `getDefaultOperandClass()`
    `int` | `getNameIndex()`
    `int` | `getSheetRefIndex()`
    `int` | `getSize()`
    `java.lang.String` | `toFormulaString()` return a string representation of this token alone
    `java.lang.String` | `toFormulaString(FormulaRenderingWorkbook book)`
    `java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
    `void` | `write(LittleEndianOutput out)`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.OperandPtg

      `isBaseToken`

    - ### Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg

      `createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sid

          public static final short sid

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NameXPtg

          public NameXPtg(int sheetRefIndex,
                          int nameIndex)

      Parameters:
        `sheetRefIndex` - index to REF entry in externsheet record
        `nameIndex` - index to defined name or externname table

    - #### NameXPtg

          public NameXPtg(LittleEndianInput in)

  - ### Method Detail

    - #### write

          public void write(LittleEndianOutput out)

      Specified by:
        `write` in class `Ptg`

    - #### getSize

          public int getSize()

      Specified by:
        `getSize` in class `Ptg`
      Returns:
        the encoded length of this Ptg, including the initial Ptg type identifier byte.

    - #### toFormulaString

          public java.lang.String toFormulaString(FormulaRenderingWorkbook book)

      Specified by:
        `toFormulaString` in interface `WorkbookDependentFormula`

    - #### toFormulaString

          public java.lang.String toFormulaString()

      Description copied from class: `Ptg`
      return a string representation of this token alone
      Specified by:
        `toFormulaString` in class `Ptg`

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Ptg`
      Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method
      Overrides:
        `toString` in class `Ptg`

    - #### getDefaultOperandClass

          public byte getDefaultOperandClass()

      Specified by:
        `getDefaultOperandClass` in class `Ptg`

    - #### getSheetRefIndex

          public int getSheetRefIndex()

    - #### getNameIndex

          public int getNameIndex()

    - #### copy

          public NameXPtg copy()

      Specified by:
        `copy` in interface `Duplicatable`
      Specified by:
        `copy` in class `OperandPtg`
      Returns:
        a deep copy of the implementing class / instance

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.